cancel
Showing results for 
Search instead for 
Did you mean: 

Which version is correct with Mac OS 10.5.8?

Highlighted
New Contributor

Which version is correct with Mac OS 10.5.8?

Still trying to locate correct Firefox version to run with Mac power PC running OS 10.5.8.

2 REPLIES
Support Forum Moderator

Re: Which version is correct with Mac OS 10.5.8?

Firefox 3.6.x is the last available from Mozilla for PPC Macs.
http://www.mozilla.com/en-US/firefox/all-older.html


For older Macs that aren't supported in the Firefox 4+ versions, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/
http://tenfourfox.blogspot.com/
https://code.google.com/p/tenfourfox/wiki/PluginsNoLongerSupported
http://code.google.com/p/tenfourfox/wiki/AAATheFAQ

Shooting Star Contributor

Re: Which version is correct with Mac OS 10.5.8?

Hi BobMcD,

Firefox 4 and above requires Mac OS X 10.5 or greater and will only run on an Intel Mac. Mac OS X 10.4 users, and 10.5 users with a PPC Mac, can run the latest 3.6 series available here.

You could also try TenFourMac, which is a fork of Firefox and is based on Mozilla 2.0 and Firefox 4 code.

Hopefully this helps!